
local MakePlayerCharacter = require "prefabs/player_common"


local assets = {

        Asset( "ANIM", "anim/player_basic.zip" ),
        Asset( "ANIM", "anim/player_idles_shiver.zip" ),
        Asset( "ANIM", "anim/player_actions.zip" ),
        Asset( "ANIM", "anim/player_actions_axe.zip" ),
        Asset( "ANIM", "anim/player_actions_pickaxe.zip" ),
        Asset( "ANIM", "anim/player_actions_shovel.zip" ),
        Asset( "ANIM", "anim/player_actions_blowdart.zip" ),
        Asset( "ANIM", "anim/player_actions_eat.zip" ),
        Asset( "ANIM", "anim/player_actions_item.zip" ),
        Asset( "ANIM", "anim/player_actions_uniqueitem.zip" ),
        Asset( "ANIM", "anim/player_actions_bugnet.zip" ),
        Asset( "ANIM", "anim/player_actions_fishing.zip" ),
        Asset( "ANIM", "anim/player_actions_boomerang.zip" ),
        Asset( "ANIM", "anim/player_bush_hat.zip" ),
        Asset( "ANIM", "anim/player_attacks.zip" ),
        Asset( "ANIM", "anim/player_idles.zip" ),
        Asset( "ANIM", "anim/player_rebirth.zip" ),
        Asset( "ANIM", "anim/player_jump.zip" ),
        Asset( "ANIM", "anim/player_amulet_resurrect.zip" ),
        Asset( "ANIM", "anim/player_teleport.zip" ),
        Asset( "ANIM", "anim/wilson_fx.zip" ),
        Asset( "ANIM", "anim/player_one_man_band.zip" ),
        Asset( "ANIM", "anim/shadow_hands.zip" ),
        Asset( "SOUND", "sound/sfx.fsb" ),
        Asset( "SOUND", "sound/wilson.fsb" ),
        Asset( "ANIM", "anim/beard.zip" ),

		-- Don't forget to include your character's custom assets!
        Asset( "ANIM", "anim/jak.zip" ),
}
local prefabs = {}

local fn = function(inst)
	
	-- choose which sounds this character will play
	inst.soundsname = "wolfgang"

	-- a minimap icon must be specified
	inst.MiniMapEntity:SetIcon( "wilson.png" )

	-- todo: Add an example special power here.
	inst.components.combat.damagemultiplier = 1.2
	inst.components.locomotor.walkspeed = (TUNING.WILSON_WALK_SPEED * 1.05)
	inst.components.locomotor.runspeed = (TUNING.WILSON_RUN_SPEED * 1.15)
	inst.components.health:SetMaxHealth(170)
	inst.components.hunger:SetMax(110)
end


local start_inv = 
{
	"cookedmonstermeat",
	"spear",
	
}



-- strings! Any "jak" below would have to be replaced by the prefab name of your character.

-- First up, the character select screen lines 
-- note: these are lower-case character name
STRINGS.CHARACTER_TITLES.jak = "The Eco Hero"
STRINGS.CHARACTER_NAMES.jak = "Jak"
STRINGS.CHARACTER_DESCRIPTIONS.jak = "* Is fast and strong, but can't last long without eating."
STRINGS.CHARACTER_QUOTES.jak = "\"Daxter? Where did you go?\""

-- You can also add any kind of custom dialogue that you would like. Don't forget to make
-- categores that don't exist yet using = {}
-- note: these are UPPER-CASE charcacter name
STRINGS.CHARACTERS.JAK = {}
STRINGS.CHARACTERS.JAK.DESCRIBE = {}
STRINGS.CHARACTERS.JAK.DESCRIBE.EVERGREEN = "Just a tree."
STRINGS.CHARACTERS.JAK.ACTIONFAIL_GENERIC = "Eh..."
STRINGS.CHARACTERS.JAK.ANNOUNCE_CHARLIE = "Is that you, Dax?"
STRINGS.CHARACTERS.JAK.ANNOUNCE_CHARLIE_ATTACK = "GAH! You're not Daxter, are you?"
STRINGS.CHARACTERS.JAK.ANNOUNCE_COLD = "Brrr! I'm not used to this cold!"
STRINGS.CHARACTERS.JAK.ANNOUNCE_DUSK = "It's getting dark..."
STRINGS.CHARACTERS.JAK.ANNOUNCE_EAT =
	{
		GENERIC = "Just what I needed...",
		PAINFUL = "Blegh! Just like Samos'.",
		SPOILED = "I think I'm going to be sick...",
		STALE = "How dull...",
	}
STRINGS.CHARACTERS.JAK.ANNOUNCE_HOUNDS = "Someone's following me. They'll be sorry!"
STRINGS.CHARACTERS.JAK.ANNOUNCE_HUNGRY = "So hungry... but I'm not stopping now!"

STRINGS.CHARACTERS.JAK.BATTLECRY =
	{
		GENERIC = "I'll take you on!",
		PIG = "I'll slay you like Krew!",
		PREY = "It's you or me!",
	}
STRINGS.CHARACTERS.JAK.DESCRIBE =
	{
		AXE = "Guess I'll have to get used to chopping trees.",
		BERRIES = "I could eat.",
		CARROT = "I could eat this, or...",
		FLOWER = "Keira would like this.",
		FLOWERHAT = "I can't let anyone see me with this!",
		LOG = "That's not Samos either.",
	}
return MakePlayerCharacter("jak", prefabs, assets, fn)